import { ShaderMaterialParameters, RawShaderMaterial } from 'three';

interface UseShaderPassParameters extends ShaderMaterialParameters {
    vertexShader: string;
    fragmentShader: string;
    antialias?: boolean;
}

declare const useShaderPass: ({ vertexShader, fragmentShader, uniforms, antialias, }: UseShaderPassParameters) => RawShaderMaterial;

export { useShaderPass };
